# SetChatAdministratorCustomTitle - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.chat.members / SetChatAdministratorCustomTitle

# SetChatAdministratorCustomTitle

(common) `data class SetChatAdministratorCustomTitle : ChatMemberRequest<Boolean>` (source)

### Constructors

(common)

#### <init>

`SetChatAdministratorCustomTitle(chatId: ChatIdentifier, userId: UserId, customTitle: String)`

### Properties

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### customTitle

`val customTitle: String`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<Boolean>`

(common)

#### userId

`val userId: UserId`

### Functions

(common)

#### method

`fun method(): String`